News:

Looking for documentation? Take a look on our wiki

Main Menu

istraxx update error

Started by MAD King, August 21, 2023, 21:50:23 PM

Previous topic - Next topic

MAD King

Getting this error when trying to update from version 4.2.0 to version 4.2.2:

QuoteFailed to extract file: index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost_amp_dlkey_QX8P03xxx_p_qttzNxxx_31xx_428xx

J4.3.3 and VirtueMart 4.2.0 10905
Joomla! 4.4.5
VirtueMart 4.2.12 11012

michelerighetti

Me too. I did the migration from joomla 3 to version 4, with virtuemart, I had to do some adjustments for implementation that I did on version 3. Now there is an update from version 4.2.0 to version 4.2.2, but when I try to do update the error is "Failed to extract file: index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost".
Joomla V4.3.4, Virtuemart V4.2.0

ViPeS

The update does not work from the admin panel.
com_virtuemart.4.2.2.10908_package_or_extract.zip download from https://extensions.virtuemart.net/my-orders-downloads for VirtueMart Membership.
VM 4.2.14 11022, Joomla 4.4.5, PHP 8.1.13

michelerighetti

Quote from: ViPeS on August 23, 2023, 12:59:29 PM
The update does not work from the admin panel.
com_virtuemart.4.2.2.10908_package_or_extract.zip download from https://extensions.virtuemart.net/my-orders-downloads for VirtueMart Membership.
Thank you for your reply, so the update is paid now? will it be free in future or should we start paying for virtuemart? If so, the developers should be clear, there is nothing wrong with paying for the component, but it must be said clearly.
Thank you.

jenkinhill

VM 4.2.0 was a "free to all/starter" release, which is now one of the slightly outdated versions as described in the recent news release.

"These slightly outdated versions will be good enough to start with VirtueMart, but the convenience to update to the latest VirtueMart version with one click will not be offered unless you support the project with at least a Bronze membership."

https://virtuemart.net/news/511-effective-and-sustainable-funding-with-a-virtuemart-membership
Kelvyn
Lowestoft, Suffolk, UK

Retired from forum life November 2023

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

michelerighetti

Quote from: jenkinhill on August 25, 2023, 12:40:58 PM
VM 4.2.0 was a "free to all/starter" release, which is now one of the slightly outdated versions as described in the recent news release.

"These slightly outdated versions will be good enough to start with VirtueMart, but the convenience to update to the latest VirtueMart version with one click will not be offered unless you support the project with at least a Bronze membership."

https://virtuemart.net/news/511-effective-and-sustainable-funding-with-a-virtuemart-membership
Thankyou for your clear answe.
I really appreciate the work you are doing and I think I will get the company using virtuemart to register. I understand you because I too do not take money to implement e-commerce sites, but I understand that not everyone can do it for free.
Have a nice day

MAD King

#6
A gold membership cost only $16.50 per month which is nothing compared to what you can make as income with it. This is only fair to the people who are behind VM.
Joomla! 4.4.5
VirtueMart 4.2.12 11012

michelerighetti

Quote from: MAD King on August 26, 2023, 14:45:42 PM
A gold membership cost only $16.50 per month which is nothing compared to what you can make as income with it. This is only fair to the people who are behind VM.
You are right  :)

Milbo

Quote from: MAD King on August 21, 2023, 21:50:23 PM
Getting this error when trying to update from version 4.2.0 to version 4.2.2:

QuoteFailed to extract file: index.php_option_com_virtuemart_view_plugin_name_istraxx_download_byhost_amp_dlkey_QX8P03xxx_p_qttzNxxx_31xx_428xx

J4.3.3 and VirtueMart 4.2.0 10905


Hello MadKing, I fixed two problems with the update by Joomla. So does it work now?
Should I fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

MAD King

I don't know yet. I updated manually.
Need to wait until the next update.
Joomla! 4.4.5
VirtueMart 4.2.12 11012